********************************************************************************************************************************************************
******************************************************* PRO-DEMOCRACY PROTESTS  ************************************************************************
**************************************************************  APPENDIX  **************************************************************************
********************************************************************************************************************************************************
 
clear
*use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK.dta" 
use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK_March2013.dta"

****************************************************************
*************************  IN-TEXT MODELS  ********************
****************************************************************

**TABLE 1 (Base Models with Additional Controls) **
gen sqpolity2 = polity2*polity2
logit protest_ALL protest_ALL_lag ec_living_d_lag polity2 sqpolity2 eyear, cluster (id)
  test polity2 sqpolity2
  
logit protest_ALL protest_ALL_lag ec_economy_no_lag polity2 sqpolity2 eyear, cluster (id) 
  test polity2 sqpolity2

logit protest_ALL protest_ALL_lag ec_living_d_lag polity2 pvdem05 seqYR eyear, cluster (id)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table0a", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) se replace label(insert) 

logit protest_ALL protest_ALL_lag ec_economy_no_lag polity2 pvdem05 seqYR eyear, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table0a", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2)  se append label(insert) 
 
logit protest_ALL protest_ALL_lag ec_living_d_lag polity2 eyear polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id) 
   outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table0a", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2)  se append label(insert) 
 
logit protest_ALL protest_ALL_lag ec_economy_no_lag polity2 eyear polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id) 
   outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table0a", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) se append label(insert) 
 
**Table 2 (Base Models with Additional Controls/Interactions)**

gen lngdp_growth_lag = lnwdi_GDPcap_lag*wdi_GDPcapGrowth_lag 
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag lngdp_growth_lag wdi_infl_lag wdi_employ_lag polity2 eyear if country != "Zimbabwe", cluster (id)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table0b", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) se replace label(insert) 
test lngdp_growth_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag  
 
gen lngdp_infl_lag = wdi_infl_lag*lnwdi_GDPcap_lag 
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag lngdp_infl_lag wdi_infl_lag wdi_employ_lag polity2 eyear if country != "Zimbabwe", cluster (id)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table0b", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) se append label(insert) 
test  lngdp_infl_lag lnwdi_GDPcap_lag wdi_infl_lag 
  
gen lngdp_employ_lag = wdi_employ_lag*lnwdi_GDPcap_lag 
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag lngdp_employ_lag  wdi_infl_lag wdi_employ_lag polity2 eyear if country != "Zimbabwe", cluster (id)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table0b", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) se append label(insert) 
test lngdp_employ_lag wdi_employ_lag lnwdi_GDPcap_lag

logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_employ_lag wdi_GDPcapGrowth_lag lngdp_growth_lag polity2 eyear polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag if country != "Zimbabwe", cluster (id)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table0b", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) se append label(insert) 

  
** TABLE 2, Model 8, w/controls **
gen infl_eyear_polity2 = wdi_infl_lag*eyear*polity2 
 label variable infl_eyear_polity2 "Inflation-Election Year-Polity Index"
gen eyear_polity2 = eyear*polity2
  label variable eyear_polity "Election Year-Polity Index"
gen infl_eyear = wdi_infl_lag*eyear
 label variable infl_eyear "Inflation-Election Year"
gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index"
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag infl_eyear_polity2 eyear polity2 eyear_polity2 infl_eyear infl_polity2  polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag if country != "Zimbabwe", cluster (id)  
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table0b", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) se append label(insert) 
test wdi_infl_lag eyear infl_eyear_polity2 polity2 eyear_polity2 infl_eyear infl_polity2 

** TABLE 2, Model 9, w/controls **
gen employ_eyear_polity2 = wdi_employ_lag*eyear*polity2 
  label variable employ_eyear_polity2 "Employment-Election Year-Polity Index"
gen employ_eyear = wdi_employ_lag*eyear
 label variable employ_eyear "Employment-Election Year"
gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag employ_eyear_polity2 eyear polity2 eyear_polity2 employ_eyear employ_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id)  
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table0b", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) se append label(insert) 
test wdi_employ_lag eyear employ_eyear_polity2 polity2 eyear_polity2 employ_eyear employ_polity2

** TABLE 2, Model 10, w/controls **
gen growth_eyear_polity2 = wdi_GDPcapGrowth_lag*eyear*polity2 
  label variable growth_eyear_polity2 "Growth-Election Year-Polity Index"
gen growth_eyear = wdi_GDPcapGrowth_lag*eyear
 label variable growth_eyear "Growth-Election Year"
gen growth_polity2 = wdi_GDPcapGrowth_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear_polity2 eyear polity2 eyear_polity2 growth_eyear growth_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id)   
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table0b", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) se append label(insert) 
 test wdi_GDPcapGrowth_lag eyear growth_eyear_polity2 polity2 eyear_polity2 growth_eyear growth_polity2


****************************************************************
************  MODELS WITH REGION FIXED EFFECTS *****************
****************************************************************
gen AsiaOceania = Asia+Oceania    
label variable AsiaOceania "Asia and Oceania"                 

*********************
***(A) TABLE 1*******
*********************

********************************************************************************************************************************************************
********************************************  BASE MODELS -- NO INTERACTIONS **************************************************************************
********************************************************************************************************************************************************

**(A) Table 1, MODEL 1**
logit protest_ALL protest_ALL_lag ec_living_d_lag polity2 eyear NorthAmerica Africa AsiaOceania Europe LatinAmerica, cluster (id)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 


**(A) Table 1, MODEL 2**
logit protest_ALL protest_ALL_lag ec_economy_no_lag polity2 eyear Africa AsiaOceania Europe LatinAmerica, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 




********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************


** (A) Table 1, MODEL 3 **
***Polity-Election Year Interaction***
gen living_eyear_polity2 = ec_living_d_lag*eyear*polity2 
 label variable living_eyear_polity2 "Standard of Living (D)-Election Year-Polity Index"
gen eyear_polity2 = eyear*polity2
 label variable eyear_polity "Election Year-Polity Index"
gen living_eyear = ec_living_d_lag*eyear
 label variable living_eyear "Standard of Living (D)-Election Year"
gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (D)-Polity Index"
logit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2 eyear_polity2 living_eyear living_polity2 Africa AsiaOceania Europe LatinAmerica, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_living_d_lag eyear polity2 living_eyear_polity2 eyear_polity2 living_eyear living_polity2
 
 
** (A) Table 1, MODEL 4**  
gen economy_eyear_polity2 = ec_economy_no_lag*eyear*polity2 
  label variable economy_eyear_polity2 "Economic Conditions (P)-Election Year-Polity Index"
gen economy_eyear = ec_economy_no_lag*eyear
 label variable economy_eyear "Economic Conditions (P)-Election Year"
gen economy_polity2 = ec_economy_no_lag*polity2
  label variable economy_polity2 "Economic Conditions (P)-Polity Index"
logit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2 Africa AsiaOceania Europe LatinAmerica, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2


** (A) Table 1, MODEL 5 (Model 3 w/controls) **
logit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2  eyear_polity2 living_eyear living_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag Africa AsiaOceania Europe LatinAmerica, cluster (id)  
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test ec_living_d_lag eyear living_eyear_polity2 polity2 eyear_polity2 living_eyear living_polity2


** (A) Table 1, MODEL 6 (Model 4 w/controls) ** 

logit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2 polity2diff  demaid coup_attempt cv_internet_y_lag cv_cell_y_lag Africa AsiaOceania Europe LatinAmerica, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2


**********************
*******(A) Table 2****
**********************

********************************************************************************************************************************************************
********************************************  BASE  MODELS -- NO INTERACTIONS **************************************************************************
********************************************************************************************************************************************************

** (A) Table 2, MODEL 7**
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_employ_lag wdi_GDPcapGrowth_lag polity2 eyear Africa AsiaOceania Europe LatinAmerica if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA2", bdec(2 2 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert)  


********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************
  
  
** (A) Table 2, MODEL 8 ** 

gen infl_eyear_polity2 = wdi_infl_lag*eyear*polity2 
 label variable infl_eyear_polity2 "Inflation-Election Year-Polity Index"
gen eyear_polity2 = eyear*polity2
  label variable eyear_polity "Election Year-Polity Index"
gen infl_eyear = wdi_infl_lag*eyear
 label variable infl_eyear "Inflation-Election Year"
gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index"
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag infl_eyear_polity2 eyear polity2 eyear_polity2 infl_eyear infl_polity2 Africa AsiaOceania Europe LatinAmerica  if country != "Zimbabwe", cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA2", bdec(2 2 2 3 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_infl_lag eyear infl_eyear_polity2 polity2 eyear_polity2 infl_eyear infl_polity2 


** (A) Table 2, MODEL 9** 
gen employ_eyear_polity2 = wdi_employ_lag*eyear*polity2 
  label variable employ_eyear_polity2 "Employment-Election Year-Polity Index"
gen employ_eyear = wdi_employ_lag*eyear
 label variable employ_eyear "Employment-Election Year"
gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag employ_eyear_polity2 eyear polity2 eyear_polity2 employ_eyear employ_polity2 Africa AsiaOceania Europe LatinAmerica, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA2", bdec(2 2 2 4 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_employ_lag eyear employ_eyear_polity2 polity2 eyear_polity2 employ_eyear employ_polity2



** (A) Table 2, MODEL 10 ** 
gen growth_eyear_polity2 = wdi_GDPcapGrowth_lag*eyear*polity2 
  label variable growth_eyear_polity2 "Growth-Election Year-Polity Index"
gen growth_eyear = wdi_GDPcapGrowth_lag*eyear
 label variable growth_eyear "Growth-Election Year"
gen growth_polity2 = wdi_GDPcapGrowth_lag_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear_polity2 eyear polity2 eyear_polity2 growth_eyear growth_polity2 Africa AsiaOceania Europe LatinAmerica, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA2", bdec(2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_GDPcapGrowth_lag eyear growth_eyear_polity2 polity2 eyear_polity2 growth_eyear growth_polity2



********************************************************************************************************************************************************
********************************************  INCUMBENT LOSS - POLITY INTERACTIONS *********************************************************************
********************************************************************************************************************************************************

** (A) Table 3, MODEL 11 **  
gen living_iloss_polity2 = ec_living_d_lag*iloss*polity2 
  label variable living_iloss_polity2 "Standard of Living (D)-Incumbent Loss-Polity Index"
gen iloss_polity2 = iloss*polity2 
  label variable iloss_polity2 "Incumbent Loss-Polity Index"  
gen living_iloss = ec_living_d_lag*iloss
  label variable living_iloss "Standard of Living (D)-Incumbent Loss"
gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (D)-Polity Index"
logit protest_ALL protest_ALL_lag ec_living_d_lag iloss polity2 living_iloss_polity2 iloss_polity2 living_iloss living_polity2 Africa AsiaOceania Europe LatinAmerica, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 
 test living_iloss_polity2 ec_living_d_lag iloss polity2 iloss_polity2 living_iloss living_polity2

 
** (A) Table 3, MODEL 12 **
gen infl_iloss_polity2 = wdi_infl_lag*iloss*polity2 
 label variable infl_iloss_polity2 "Inflation-Incumbent Loss-Polity Index"
gen infl_iloss = wdi_infl_lag*iloss
  label variable infl_iloss "Inflation-Incumbent Loss"
gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index" 
logit protest_ALL protest_ALL_lag wdi_infl_lag iloss polity2 infl_iloss_polity2 iloss_polity2  infl_iloss infl_polity2 Africa AsiaOceania Europe LatinAmerica if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
  test infl_iloss_polity2 wdi_infl_lag iloss polity2 iloss_polity2 iloss_polity2 infl_polity2 infl_iloss


** (A) Table 3, MODEL 13 ** 
gen employ_iloss_polity2 = wdi_employ_lag*iloss*polity2 
 label variable employ_iloss_polity2 "Employment-Incumbent Loss-Polity Index"
gen employ_iloss = wdi_employ_lag*iloss
  label variable employ_iloss "Employment-Incumbent Loss"
gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"
logit protest_ALL protest_ALL_lag wdi_employ_lag  iloss polity2 employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2 Africa AsiaOceania Europe LatinAmerica, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test wdi_employ_lag iloss polity2  employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2


** (A) Table 3, MODEL 14 **  
gen growth_iloss_polity2 = wdi_GDPcapGrowth_lag*iloss*polity2 
 label variable growth_iloss_polity2 "Growth-Incumbent Loss-Polity Index"
gen growth_iloss = wdi_GDPcapGrowth_lag*iloss
  label variable growth_iloss "Growth-Incumbent Loss"
gen growth_polity2 = wdi_GDPcapGrowth_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"
logit protest_ALL protest_ALL_lag growth_iloss_polity2 iloss polity2 wdi_GDPcapGrowth_lag iloss_polity2 growth_iloss growth_polity2 Africa AsiaOceania Europe LatinAmerica, cluster (id)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test wdi_GDPcapGrowth iloss polity2 growth_iloss_polity2 iloss_polity2 growth_iloss growth_polity2 

****************************************************************
************  MODELS WITH MAJOR PROTESTS ONLY  *****************
****************************************************************
 
clear
*use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK.dta"             
use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK_March2013.dta"

*********************
***(B) TABLE 1*******
*********************

********************************************************************************************************************************************************
********************************************  BASE MODELS -- NO INTERACTIONS **************************************************************************
********************************************************************************************************************************************************

**(B) Table 1, MODEL 1**
logit protest_major protest_ALL_lag ec_living_d_lag polity2 eyear, cluster (id)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 


**(B) Table 1, MODEL 2**
logit protest_major protest_ALL_lag ec_economy_no_lag polity2 eyear, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 




********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************


** (B) Table 1, MODEL 3 **
***Polity-Election Year Interaction***
gen living_eyear_polity2 = ec_living_d_lag*eyear*polity2 
 label variable living_eyear_polity2 "Standard of Living (D)-Election Year-Polity Index"
gen eyear_polity2 = eyear*polity2
 label variable eyear_polity "Election Year-Polity Index"
gen living_eyear = ec_living_d_lag*eyear
 label variable living_eyear "Standard of Living (D)-Election Year"
gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (D)-Polity Index"
logit protest_major protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2 eyear_polity2 living_eyear living_polity2, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_living_d_lag eyear polity2 living_eyear_polity2 eyear_polity2 living_eyear living_polity2
 
 
** (B) Table 1, MODEL 4**  
gen economy_eyear_polity2 = ec_economy_no_lag*eyear*polity2 
  label variable economy_eyear_polity2 "Economic Conditions (P)-Election Year-Polity Index"
gen economy_eyear = ec_economy_no_lag*eyear
 label variable economy_eyear "Economic Conditions (P)-Election Year"
gen economy_polity2 = ec_economy_no_lag*polity2
  label variable economy_polity2 "Economic Conditions (P)-Polity Index"
logit protest_major protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2


** (B) Table 1, MODEL 5 (Model 3 w/controls) **
logit protest_major protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2  eyear_polity2 living_eyear living_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id)  
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test ec_living_d_lag eyear living_eyear_polity2 polity2 eyear_polity2 living_eyear living_polity2


** (B) Table 1, MODEL 6 (Model 4 w/controls) ** 

logit protest_major protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2


**********************
*******(B) Table 2****
**********************

********************************************************************************************************************************************************
********************************************  BASE  MODELS -- NO INTERACTIONS **************************************************************************
********************************************************************************************************************************************************

** (B) Table 2, MODEL 7**
logit protest_major protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_employ_lag wdi_GDPcapGrowth_lag polity2 eyear if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB2", bdec(2 2 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert)  


********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************
  
  
** (B) Table 2, MODEL 8 ** 

gen infl_eyear_polity2 = wdi_infl_lag*eyear*polity2 
 label variable infl_eyear_polity2 "Inflation-Election Year-Polity Index"
gen eyear_polity2 = eyear*polity2
  label variable eyear_polity "Election Year-Polity Index"
gen infl_eyear = wdi_infl_lag*eyear
 label variable infl_eyear "Inflation-Election Year"
gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index"
logit protest_major protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag infl_eyear_polity2 eyear polity2 eyear_polity2 infl_eyear infl_polity2 if country != "Zimbabwe", cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB2", bdec(2 2 2 3 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_infl_lag eyear infl_eyear_polity2 polity2 eyear_polity2 infl_eyear infl_polity2 


** (B) Table 2, MODEL 9** 
gen employ_eyear_polity2 = wdi_employ_lag*eyear*polity2 
  label variable employ_eyear_polity2 "Employment-Election Year-Polity Index"
gen employ_eyear = wdi_employ_lag*eyear
 label variable employ_eyear "Employment-Election Year"
gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"  
logit protest_major protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag employ_eyear_polity2 eyear polity2 eyear_polity2 employ_eyear employ_polity2, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB2", bdec(2 2 2 4 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_employ_lag eyear employ_eyear_polity2 polity2 eyear_polity2 employ_eyear employ_polity2



** (B) Table 2, MODEL 10 ** 
gen growth_eyear_polity2 = wdi_GDPcapGrowth_lag*eyear*polity2 
  label variable growth_eyear_polity2 "Growth-Election Year-Polity Index"
gen growth_eyear = wdi_GDPcapGrowth_lag*eyear
 label variable growth_eyear "Growth-Election Year"
gen growth_polity2 = wdi_GDPcapGrowth_lag_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"  
logit protest_major protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear_polity2 eyear polity2 eyear_polity2 growth_eyear growth_polity2, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB2", bdec(2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_GDPcapGrowth_lag eyear growth_eyear_polity2 polity2 eyear_polity2 growth_eyear growth_polity2



********************************************************************************************************************************************************
********************************************  INCUMBENT LOSS - POLITY INTERACTIONS *********************************************************************
********************************************************************************************************************************************************

** (B) Table 3, MODEL 11 **  
gen living_iloss_polity2 = ec_living_d_lag*iloss*polity2 
  label variable living_iloss_polity2 "Standard of Living (D)-Incumbent Loss-Polity Index"
gen iloss_polity2 = iloss*polity2 
  label variable iloss_polity2 "Incumbent Loss-Polity Index"  
gen living_iloss = ec_living_d_lag*iloss
  label variable living_iloss "Standard of Living (D)-Incumbent Loss"
gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (D)-Polity Index"
logit protest_major protest_ALL_lag ec_living_d_lag iloss polity2 living_iloss_polity2 iloss_polity2 living_iloss living_polity2, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 
 test living_iloss_polity2 ec_living_d_lag iloss polity2 iloss_polity2 living_iloss living_polity2

 
** (B) Table 3, MODEL 12 **
gen infl_iloss_polity2 = wdi_infl_lag*iloss*polity2 
 label variable infl_iloss_polity2 "Inflation-Incumbent Loss-Polity Index"
gen infl_iloss = wdi_infl_lag*iloss
  label variable infl_iloss "Inflation-Incumbent Loss"
gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index" 
logit protest_major protest_ALL_lag wdi_infl_lag iloss polity2 infl_iloss_polity2 iloss_polity2  infl_iloss infl_polity2 if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
  test infl_iloss_polity2 wdi_infl_lag iloss polity2 iloss_polity2 iloss_polity2 infl_polity2 infl_iloss


** (B) Table 3, MODEL 13 ** 
gen employ_iloss_polity2 = wdi_employ_lag*iloss*polity2 
 label variable employ_iloss_polity2 "Employment-Incumbent Loss-Polity Index"
gen employ_iloss = wdi_employ_lag*iloss
  label variable employ_iloss "Employment-Incumbent Loss"
gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"
logit protest_major protest_ALL_lag wdi_employ_lag  iloss polity2 employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test wdi_employ_lag iloss polity2  employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2


** (B) Table 3, MODEL 14 **  
gen growth_iloss_polity2 = wdi_GDPcapGrowth_lag*iloss*polity2 
 label variable growth_iloss_polity2 "Growth-Incumbent Loss-Polity Index"
gen growth_iloss = wdi_GDPcapGrowth_lag*iloss
  label variable growth_iloss "Growth-Incumbent Loss"
gen growth_polity2 = wdi_GDPcapGrowth_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"
logit protest_major protest_ALL_lag growth_iloss_polity2 iloss polity2 wdi_GDPcapGrowth_lag iloss_polity2 growth_iloss growth_polity2, cluster (id)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixB3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test wdi_GDPcapGrowth iloss polity2 growth_iloss_polity2 iloss_polity2 growth_iloss growth_polity2 

*************************************************************************************************************************
** C: MODELS WITHOUT PROTESTS AGAINST ELECTIONS FOR WHICH CLAIMS OF FRAUD WERE NOT CORROBORATED BY INDEPENDENT OBSERVERS*
*************************************************************************************************************************
clear
*use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK.dta" 
use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK_March2013.dta"


drop if country == "Benin" & year == 2011
drop if country == "Gabon" & (year == 2009 | year == 2011)
drop if country == "Guyana" & year == 2011
drop if country == "Iraq" & year == 2010
drop if country == "Jordan" & year == 2010
drop if country == "Liberia" & year == 2011
drop if country == "Mongolia" & year == 2008
drop if country == "Congo, Republic of" & year == 2009


*********************
***(C) TABLE 1*******
*********************

********************************************************************************************************************************************************
********************************************  BASE MODELS -- NO INTERACTIONS **************************************************************************
********************************************************************************************************************************************************

**(C) Table 1, MODEL 1**
logit protest_ALL protest_ALL_lag ec_living_d_lag polity2 eyear, cluster (id)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 


**(C) Table 1, MODEL 2**
logit protest_ALL protest_ALL_lag ec_economy_no_lag polity2 eyear, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 


********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************


** (C) Table 1, MODEL 3 **
***Polity-Election Year Interaction***
gen living_eyear_polity2 = ec_living_d_lag*eyear*polity2 
 label variable living_eyear_polity2 "Standard of Living (D)-Election Year-Polity Index"
gen eyear_polity2 = eyear*polity2
 label variable eyear_polity "Election Year-Polity Index"
gen living_eyear = ec_living_d_lag*eyear
 label variable living_eyear "Standard of Living (D)-Election Year"
gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (D)-Polity Index"
logit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2 eyear_polity2 living_eyear living_polity2, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_living_d_lag eyear polity2 living_eyear_polity2 eyear_polity2 living_eyear living_polity2
 
 
** (C) Table 1, MODEL 4**  
gen economy_eyear_polity2 = ec_economy_no_lag*eyear*polity2 
  label variable economy_eyear_polity2 "Economic Conditions (P)-Election Year-Polity Index"
gen economy_eyear = ec_economy_no_lag*eyear
 label variable economy_eyear "Economic Conditions (P)-Election Year"
gen economy_polity2 = ec_economy_no_lag*polity2
  label variable economy_polity2 "Economic Conditions (P)-Polity Index"
logit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2


** (C) Table 1, MODEL 5 (Model 3 w/controls) **
logit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2  eyear_polity2 living_eyear living_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id)  
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test ec_living_d_lag eyear living_eyear_polity2 polity2 eyear_polity2 living_eyear living_polity2


** (C) Table 1, MODEL 6 (Model 4 w/controls) ** 

logit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2





***********************
***** (C)  Table 2 ****
***********************
** (C) Table 2, MODEL 7**
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_employ_lag wdi_GDPcapGrowth_lag polity2 eyear if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC2", bdec(2 2 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert)  


********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************
  
  
** (C) Table 2, MODEL 8 ** 

gen infl_eyear_polity2 = wdi_infl_lag*eyear*polity2 
 label variable infl_eyear_polity2 "Inflation-Election Year-Polity Index"
gen eyear_polity2 = eyear*polity2
  label variable eyear_polity "Election Year-Polity Index"
gen infl_eyear = wdi_infl_lag*eyear
 label variable infl_eyear "Inflation-Election Year"
gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index"
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag infl_eyear_polity2 eyear polity2 eyear_polity2 infl_eyear infl_polity2 if country != "Zimbabwe", cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC2", bdec(2 2 2 3 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_infl_lag eyear infl_eyear_polity2 polity2 eyear_polity2 infl_eyear infl_polity2 


** (C) Table 2, MODEL 9** 
gen employ_eyear_polity2 = wdi_employ_lag*eyear*polity2 
  label variable employ_eyear_polity2 "Employment-Election Year-Polity Index"
gen employ_eyear = wdi_employ_lag*eyear
 label variable employ_eyear "Employment-Election Year"
gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag employ_eyear_polity2 eyear polity2 eyear_polity2 employ_eyear employ_polity2, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC2", bdec(2 2 2 4 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_employ_lag eyear employ_eyear_polity2 polity2 eyear_polity2 employ_eyear employ_polity2



** (C) Table 2, MODEL 10 ** 
gen growth_eyear_polity2 = wdi_GDPcapGrowth_lag*eyear*polity2 
  label variable growth_eyear_polity2 "Growth-Election Year-Polity Index"
gen growth_eyear = wdi_GDPcapGrowth_lag*eyear
 label variable growth_eyear "Growth-Election Year"
gen growth_polity2 = wdi_GDPcapGrowth_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear_polity2 eyear polity2 eyear_polity2 growth_eyear growth_polity2, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC2", bdec(2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_GDPcapGrowth_lag eyear growth_eyear_polity2 polity2 eyear_polity2 growth_eyear growth_polity2



********************************************************************************************************************************************************
********************************************  INCUMBENT LOSS - POLITY INTERACTIONS *********************************************************************
********************************************************************************************************************************************************

** (C) Table 3, MODEL 11 **  
gen living_iloss_polity2 = ec_living_d_lag*iloss*polity2 
  label variable living_iloss_polity2 "Standard of Living (D)-Incumbent Loss-Polity Index"
gen iloss_polity2 = iloss*polity2 
  label variable iloss_polity2 "Incumbent Loss-Polity Index"  
gen living_iloss = ec_living_d_lag*iloss
  label variable living_iloss "Standard of Living (D)-Incumbent Loss"
gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (D)-Polity Index"
logit protest_ALL protest_ALL_lag ec_living_d_lag iloss polity2 living_iloss_polity2 iloss_polity2 living_iloss living_polity2, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 
 test living_iloss_polity2 ec_living_d_lag iloss polity2 iloss_polity2 living_iloss living_polity2

 
** (C) Table 3, MODEL 12 **
gen infl_iloss_polity2 = wdi_infl_lag*iloss*polity2 
 label variable infl_iloss_polity2 "Inflation-Incumbent Loss-Polity Index"
gen infl_iloss = wdi_infl_lag*iloss
  label variable infl_iloss "Inflation-Incumbent Loss"
gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index" 
logit protest_ALL protest_ALL_lag wdi_infl_lag iloss polity2 infl_iloss_polity2 iloss_polity2  infl_iloss infl_polity2 if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
  test infl_iloss_polity2 wdi_infl_lag iloss polity2 iloss_polity2 iloss_polity2 infl_polity2 infl_iloss


** (C) Table 3, MODEL 13 ** 
gen employ_iloss_polity2 = wdi_employ_lag*iloss*polity2 
 label variable employ_iloss_polity2 "Employment-Incumbent Loss-Polity Index"
gen employ_iloss = wdi_employ_lag*iloss
  label variable employ_iloss "Employment-Incumbent Loss"
gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"
logit protest_ALL protest_ALL_lag wdi_employ_lag  iloss polity2 employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test wdi_employ_lag iloss polity2  employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2


** (C) Table 3, MODEL 14 **  
gen growth_iloss_polity2 = wdi_GDPcapGrowth_lag*iloss*polity2 
 label variable growth_iloss_polity2 "Growth-Incumbent Loss-Polity Index"
gen growth_iloss = wdi_GDPcapGrowth_lag*iloss
  label variable growth_iloss "Growth-Incumbent Loss"
gen growth_polity2 = wdi_GDPcapGrowth_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"
logit protest_ALL protest_ALL_lag growth_iloss_polity2 iloss polity2 wdi_GDPcapGrowth_lag iloss_polity2 growth_iloss growth_polity2, cluster (id)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixC3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test wdi_GDPcapGrowth iloss polity2 growth_iloss_polity2 iloss_polity2 growth_iloss growth_polity2



********************************************************************************************************************************************************
********************************************  BASED MODELS -- NO INTERACTIONS **************************************************************************
********************************************************************************************************************************************************

**************************************************
** D: MODELS WITHOUT BORDERLINE AMBIGUOUS CASES *
**************************************************


clear
*use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK.dta" 
use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK_March2013.dta"

drop if country == "Albania" & year == 2011
drop if country == "Cameroon" & year == 2011
drop if country == "China" & year == 2011
drop if country == "Jordan" & year == 2010
drop if country == "Georgia" & year == 2011
drop if country == "Morocco" & year == 2011
drop if country == "Myanmar" & year == 2007
drop if country == "Niger" & year == 2009
drop if country == "Congo, Republic of" & year == 2009
drop if country == "Yemen, Republic of" & year == 2011 

*********************
***(D) TABLE 1*******
*********************

********************************************************************************************************************************************************
********************************************  BASE MODELS -- NO INTERACTIONS **************************************************************************
********************************************************************************************************************************************************

**(D) Table 1, MODEL 1**
logit protest_ALL protest_ALL_lag ec_living_d_lag polity2 eyear, cluster (id)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 


**(D) Table 1, MODEL 2**
logit protest_ALL protest_ALL_lag ec_economy_no_lag polity2 eyear, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 


********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************


** (D) Table 1, MODEL 3 **
***Polity-Election Year Interaction***
gen living_eyear_polity2 = ec_living_d_lag*eyear*polity2 
 label variable living_eyear_polity2 "Standard of Living (D)-Election Year-Polity Index"
gen eyear_polity2 = eyear*polity2
 label variable eyear_polity "Election Year-Polity Index"
gen living_eyear = ec_living_d_lag*eyear
 label variable living_eyear "Standard of Living (D)-Election Year"
gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (D)-Polity Index"
logit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2 eyear_polity2 living_eyear living_polity2, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_living_d_lag eyear polity2 living_eyear_polity2 eyear_polity2 living_eyear living_polity2
 
 
** (D) Table 1, MODEL 4**  
gen economy_eyear_polity2 = ec_economy_no_lag*eyear*polity2 
  label variable economy_eyear_polity2 "Economic Conditions (P)-Election Year-Polity Index"
gen economy_eyear = ec_economy_no_lag*eyear
 label variable economy_eyear "Economic Conditions (P)-Election Year"
gen economy_polity2 = ec_economy_no_lag*polity2
  label variable economy_polity2 "Economic Conditions (P)-Polity Index"
logit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2


** (D) Table 1, MODEL 5 (Model 3 w/controls) **
logit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2  eyear_polity2 living_eyear living_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id)  
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test ec_living_d_lag eyear living_eyear_polity2 polity2 eyear_polity2 living_eyear living_polity2


** (D) Table 1, MODEL 6 (Model 4 w/controls) ** 

logit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2





***********************
***** (D)  Table 2 ****
***********************
** (D) Table 2, MODEL 7**
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_employ_lag wdi_GDPcapGrowth_lag polity2 eyear if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD2", bdec(2 2 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert)  


********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************
  
  
** (D) Table 2, MODEL 8 ** 

gen infl_eyear_polity2 = wdi_infl_lag*eyear*polity2 
 label variable infl_eyear_polity2 "Inflation-Election Year-Polity Index"
*gen eyear_polity2 = eyear*polity2
  label variable eyear_polity "Election Year-Polity Index"
gen infl_eyear = wdi_infl_lag*eyear
 label variable infl_eyear "Inflation-Election Year"
gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index"
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag infl_eyear_polity2 eyear polity2 eyear_polity2 infl_eyear infl_polity2 if country != "Zimbabwe", cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD2", bdec(2 2 2 3 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_infl_lag eyear infl_eyear_polity2 polity2 eyear_polity2 infl_eyear infl_polity2 


** (D) Table 2, MODEL 9** 
gen employ_eyear_polity2 = wdi_employ_lag*eyear*polity2 
  label variable employ_eyear_polity2 "Employment-Election Year-Polity Index"
gen employ_eyear = wdi_employ_lag*eyear
 label variable employ_eyear "Employment-Election Year"
gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag employ_eyear_polity2 eyear polity2 eyear_polity2 employ_eyear employ_polity2, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD2", bdec(2 2 2 4 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_employ_lag eyear employ_eyear_polity2 polity2 eyear_polity2 employ_eyear employ_polity2



** (D) Table 2, MODEL 10 ** 
gen growth_eyear_polity2 = wdi_GDPcapGrowth_lag*eyear*polity2 
  label variable growth_eyear_polity2 "Growth-Election Year-Polity Index"
gen growth_eyear = wdi_GDPcapGrowth_lag*eyear
 label variable growth_eyear "Growth-Election Year"
gen growth_polity2 = wdi_GDPcapGrowth_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear_polity2 eyear polity2 eyear_polity2 growth_eyear growth_polity2, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD2", bdec(2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_GDPcapGrowth_lag eyear growth_eyear_polity2 polity2 eyear_polity2 growth_eyear growth_polity2



********************************************************************************************************************************************************
********************************************  INCUMBENT LOSS - POLITY INTERACTIONS *********************************************************************
********************************************************************************************************************************************************

** (D) Table 3, MODEL 11 **  
gen living_iloss_polity2 = ec_living_d_lag*iloss*polity2 
  label variable living_iloss_polity2 "Standard of Living (D)-Incumbent Loss-Polity Index"
gen iloss_polity2 = iloss*polity2 
  label variable iloss_polity2 "Incumbent Loss-Polity Index"  
gen living_iloss = ec_living_d_lag*iloss
  label variable living_iloss "Standard of Living (D)-Incumbent Loss"
*gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (D)-Polity Index"
logit protest_ALL protest_ALL_lag ec_living_d_lag iloss polity2 living_iloss_polity2 iloss_polity2 living_iloss living_polity2, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 
 test living_iloss_polity2 ec_living_d_lag iloss polity2 iloss_polity2 living_iloss living_polity2

 
** (D) Table 3, MODEL 12 **
gen infl_iloss_polity2 = wdi_infl_lag*iloss*polity2 
 label variable infl_iloss_polity2 "Inflation-Incumbent Loss-Polity Index"
gen infl_iloss = wdi_infl_lag*iloss
  label variable infl_iloss "Inflation-Incumbent Loss"
*gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index" 
logit protest_ALL protest_ALL_lag wdi_infl_lag iloss polity2 infl_iloss_polity2 iloss_polity2  infl_iloss infl_polity2 if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
  test infl_iloss_polity2 wdi_infl_lag iloss polity2 iloss_polity2 iloss_polity2 infl_polity2 infl_iloss


** (D) Table 3, MODEL 13 ** 
gen employ_iloss_polity2 = wdi_employ_lag*iloss*polity2 
 label variable employ_iloss_polity2 "Employment-Incumbent Loss-Polity Index"
gen employ_iloss = wdi_employ_lag*iloss
  label variable employ_iloss "Employment-Incumbent Loss"
*gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"
logit protest_ALL protest_ALL_lag wdi_employ_lag  iloss polity2 employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test wdi_employ_lag iloss polity2  employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2


** (D) Table 3, MODEL 14 **  
gen growth_iloss_polity2 = wdi_GDPcapGrowth_lag*iloss*polity2 
 label variable growth_iloss_polity2 "Growth-Incumbent Loss-Polity Index"
gen growth_iloss = wdi_GDPcapGrowth_lag*iloss
  label variable growth_iloss "Growth-Incumbent Loss"
*gen growth_polity2 = wdi_GDPcapGrowth_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"
logit protest_ALL protest_ALL_lag growth_iloss_polity2 iloss polity2 wdi_GDPcapGrowth_lag iloss_polity2 growth_iloss growth_polity2, cluster (id)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixD3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test wdi_GDPcapGrowth iloss polity2 growth_iloss_polity2 iloss_polity2 growth_iloss growth_polity2

**************************************************
** E: RARE LOGIT MODELS                         **
**************************************************


clear
use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest//Analysis/APSR/APSR_PCKTBK.dta" 
*use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK_March2013.dta"

*********************
***(E) TABLE 1*******
*********************

********************************************************************************************************************************************************
********************************************  BASE MODELS -- NO INTERACTIONS **************************************************************************
********************************************************************************************************************************************************

**(E) Table 1, MODEL 1**
relogit protest_ALL protest_ALL_lag ec_living_d_lag polity2 eyear, cluster (id)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 


**(E) Table 1, MODEL 2**
relogit protest_ALL protest_ALL_lag ec_economy_no_lag polity2 eyear, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 


********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************


** (E) Table 1, MODEL 3 **
***Polity-Election Year Interaction***
gen living_eyear_polity2 = ec_living_d_lag*eyear*polity2 
 label variable living_eyear_polity2 "Standard of Living (E)-Election Year-Polity Index"
gen eyear_polity2 = eyear*polity2
 label variable eyear_polity "Election Year-Polity Index"
gen living_eyear = ec_living_d_lag*eyear
 label variable living_eyear "Standard of Living (E)-Election Year"
gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (E)-Polity Index"
relogit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2 eyear_polity2 living_eyear living_polity2, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_living_d_lag eyear polity2 living_eyear_polity2 eyear_polity2 living_eyear living_polity2
 
 
** (E) Table 1, MODEL 4**  
gen economy_eyear_polity2 = ec_economy_no_lag*eyear*polity2 
  label variable economy_eyear_polity2 "Economic Conditions (P)-Election Year-Polity Index"
gen economy_eyear = ec_economy_no_lag*eyear
 label variable economy_eyear "Economic Conditions (P)-Election Year"
gen economy_polity2 = ec_economy_no_lag*polity2
  label variable economy_polity2 "Economic Conditions (P)-Polity Index"
relogit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2


** (E) Table 1, MODEL 5 (Model 3 w/controls) **
relogit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2  eyear_polity2 living_eyear living_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id)  
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test ec_living_d_lag eyear living_eyear_polity2 polity2 eyear_polity2 living_eyear living_polity2


** (E) Table 1, MODEL 6 (Model 4 w/controls) ** 

relogit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2





***********************
***** (E)  Table 2 ****
***********************
** (E) Table 2, MODEL 7**
relogit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_employ_lag wdi_GDPcapGrowth_lag polity2 eyear if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE2", bdec(2 2 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert)  


********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************
  
  
** (E) Table 2, MODEL 8 ** 

gen infl_eyear_polity2 = wdi_infl_lag*eyear*polity2 
 label variable infl_eyear_polity2 "Inflation-Election Year-Polity Index"
*gen eyear_polity2 = eyear*polity2
  label variable eyear_polity "Election Year-Polity Index"
gen infl_eyear = wdi_infl_lag*eyear
 label variable infl_eyear "Inflation-Election Year"
gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index"
relogit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag infl_eyear_polity2 eyear polity2 eyear_polity2 infl_eyear infl_polity2 if country != "Zimbabwe", cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE2", bdec(2 2 2 3 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_infl_lag eyear infl_eyear_polity2 polity2 eyear_polity2 infl_eyear infl_polity2 


** (E) Table 2, MODEL 9** 
gen employ_eyear_polity2 = wdi_employ_lag*eyear*polity2 
  label variable employ_eyear_polity2 "Employment-Election Year-Polity Index"
gen employ_eyear = wdi_employ_lag*eyear
 label variable employ_eyear "Employment-Election Year"
gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"  
relogit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag employ_eyear_polity2 eyear polity2 eyear_polity2 employ_eyear employ_polity2, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE2", bdec(2 2 2 4 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_employ_lag eyear employ_eyear_polity2 polity2 eyear_polity2 employ_eyear employ_polity2



** (E) Table 2, MODEL 10 ** 
gen growth_eyear_polity2 = wdi_GDPcapGrowth_lag*eyear*polity2 
  label variable growth_eyear_polity2 "Growth-Election Year-Polity Index"
gen growth_eyear = wdi_GDPcapGrowth_lag*eyear
 label variable growth_eyear "Growth-Election Year"
gen growth_polity2 = wdi_GDPcapGrowth_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"  
relogit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear_polity2 eyear polity2 eyear_polity2 growth_eyear growth_polity2, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE2", bdec(2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_GDPcapGrowth_lag eyear growth_eyear_polity2 polity2 eyear_polity2 growth_eyear growth_polity2



********************************************************************************************************************************************************
********************************************  INCUMBENT LOSS - POLITY INTERACTIONS *********************************************************************
********************************************************************************************************************************************************

** (E) Table 3, MODEL 11 **  
gen living_iloss_polity2 = ec_living_d_lag*iloss*polity2 
  label variable living_iloss_polity2 "Standard of Living (E)-Incumbent Loss-Polity Index"
gen iloss_polity2 = iloss*polity2 
  label variable iloss_polity2 "Incumbent Loss-Polity Index"  
gen living_iloss = ec_living_d_lag*iloss
  label variable living_iloss "Standard of Living (E)-Incumbent Loss"
*gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (E)-Polity Index"
relogit protest_ALL protest_ALL_lag ec_living_d_lag iloss polity2 living_iloss_polity2 iloss_polity2 living_iloss living_polity2, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 
 test living_iloss_polity2 ec_living_d_lag iloss polity2 iloss_polity2 living_iloss living_polity2

 
** (E) Table 3, MODEL 12 **
gen infl_iloss_polity2 = wdi_infl_lag*iloss*polity2 
 label variable infl_iloss_polity2 "Inflation-Incumbent Loss-Polity Index"
gen infl_iloss = wdi_infl_lag*iloss
  label variable infl_iloss "Inflation-Incumbent Loss"
*gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index" 
relogit protest_ALL protest_ALL_lag wdi_infl_lag iloss polity2 infl_iloss_polity2 iloss_polity2  infl_iloss infl_polity2 if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
  test infl_iloss_polity2 wdi_infl_lag iloss polity2 iloss_polity2 iloss_polity2 infl_polity2 infl_iloss


** (E) Table 3, MODEL 13 ** 
gen employ_iloss_polity2 = wdi_employ_lag*iloss*polity2 
 label variable employ_iloss_polity2 "Employment-Incumbent Loss-Polity Index"
gen employ_iloss = wdi_employ_lag*iloss
  label variable employ_iloss "Employment-Incumbent Loss"
*gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"
relogit protest_ALL protest_ALL_lag wdi_employ_lag  iloss polity2 employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test wdi_employ_lag iloss polity2  employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2


** (E) Table 3, MODEL 14 **  
gen growth_iloss_polity2 = wdi_GDPcapGrowth_lag*iloss*polity2 
 label variable growth_iloss_polity2 "Growth-Incumbent Loss-Polity Index"
gen growth_iloss = wdi_GDPcapGrowth_lag*iloss
  label variable growth_iloss "Growth-Incumbent Loss"
*gen growth_polity2 = wdi_GDPcapGrowth_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"
relogit protest_ALL protest_ALL_lag growth_iloss_polity2 iloss polity2 wdi_GDPcapGrowth_lag iloss_polity2 growth_iloss growth_polity2, cluster (id)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixE3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test wdi_GDPcapGrowth iloss polity2 growth_iloss_polity2 iloss_polity2 growth_iloss growth_polity2

********************************************
* (F): ADDITIONAL CONTROLS (SELECT MODELS) * 
********************************************


clear
*use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest//Analysis/APSR/APSR_PCKTBK.dta" 
use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK_March2013.dta"
* Table 1, MODEL 3 **
***Polity-Election Year Interaction***
gen living_eyear_polity2 = ec_living_d_lag*eyear*polity2 
 label variable living_eyear_polity2 "Standard of Living-Election Year-Polity Index"
logit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2 wdi_education_lag wdi_literacy_lag cv_index_civic wdi_urban_lag cv_roads_y_lag, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixF1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 
test ec_living_d_lag eyear living_eyear_polity2 polity2


logit protest_ALL protest_ALL_lag ec_living_d_lag polity2 precipitation temperature, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixF1", bdec(2 2, 4 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 

  
** Table 1, MODEL 4**  
gen economy_eyear_polity2 = ec_economy_no_lag*eyear*polity2 
  label variable economy_eyear_polity2 "National Economy-Election Year-Polity Index"
logit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 wdi_education_lag cv_index_civic wdi_urban_lag cv_roads_y_lag, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixF1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test  ec_economy_no_lag eyear economy_eyear_polity2 polity2

logit protest_ALL protest_ALL_lag ec_economy_no_lag polity2 precipitation temperature, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixF1", bdec(2 2 4 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 



** Table 2, MODEL 8 ** 
gen infl_eyear_polity2 = wdi_infl_lag*eyear*polity2 
 label variable infl_eyear_polity2 "Inflation-Election Year-Polity Index"
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag infl_eyear_polity2 eyear polity2 wdi_education_lag wdi_literacy_lag cv_index_civic wdi_urban_lag cv_roads_y_lag if country != "Zimbabwe", cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixF2", bdec(2 2 2 3 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 
test wdi_infl_lag eyear infl_eyear_polity2 polity2

logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag polity2 precipitation temperature if country != "Zimbabwe", cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixF2", bdec(2 2 2 3 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 



** Table 2, MODEL 9** 
gen employ_eyear_polity2 = wdi_employ_lag*eyear*polity2 
  label variable employ_eyear_polity2 "Employment-Election Year-Polity Index"
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag employ_eyear_polity2 eyear polity2 wdi_education_lag wdi_literacy_lag cv_index_civic wdi_urban_lag cv_roads_y_lag, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixF2", bdec(2 2 2 4 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_employ_lag eyear employ_eyear_polity2 polity2

logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag polity2 precipitation temperature, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixF2", bdec(2 2 2 4 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 



** Table 2, MODEL 10 ** 
gen growth_eyear_polity2 = wdi_GDPcapGrowth_lag*eyear*polity2 
  label variable growth_eyear_polity2 "Growth-Election Year-Polity Index"
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear_polity2 eyear polity2 wdi_education_lag wdi_literacy_lag cv_index_civic wdi_urban_lag cv_roads_y_lag, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixF2", bdec(2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_GDPcapGrowth_lag eyear growth_eyear_polity2 polity2

logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag polity2 precipitation temperature, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixF2", bdec(2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 


