
********************************************************************************************************************************************************
******************************************************* PRO-DEMOCRACY PROTESTS  ************************************************************************
********************************************************** REPLICATION CODE  **************************************************************************
********************************************************************************************************************************************************
 
clear
use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/DATA AND CODE/Replication/PKTBK_FINALDATA.dta"

*********************
*******TABLE 1*******
*********************

********************************************************************************************************************************************************
********************************************  BASE MODELS -- NO INTERACTIONS **************************************************************************
********************************************************************************************************************************************************

Table 1, MODEL 1**
logit protest_ALL protest_ALL_lag ec_living_d_lag polity2 eyear , cluster (id)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 


Table 1, MODEL 2**
logit protest_ALL protest_ALL_lag ec_economy_no_lag polity2 eyear, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/AppendixA1", bdec(2 2, 2 2 2 2 2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 


**TABLE 1, IN-TEXT MODELS*
gen sqpolity2 = polity2*polity2
logit protest_ALL protest_ALL_lag ec_living_d_lag polity2 sqpolity2 eyear, cluster (id)
    test polity2 sqpolity2
  prvalue, x(polity2=5 sqpolity2=25)
  prvalue, x(polity2=0 sqpolity2=0)
  prvalue, x(polity2=-5 sqpolity2=25)
  
logit protest_ALL protest_ALL_lag ec_economy_no_lag polity2 sqpolity2 eyear, cluster (id) 
  test polity2 sqpolity2
  prvalue, x(polity2=5 sqpolity2=25)
  prvalue, x(polity2=0 sqpolity2=0)
  prvalue, x(polity2=-5 sqpolity2=25)

**TABLE 1, IN-TEXT MODELS*
pwcorr polity2 pvdem05 seqYR
logit protest_ALL protest_ALL_lag ec_living_d_lag polity2 pvdem05 seqYR eyear, cluster (id) 
   
logit protest_ALL protest_ALL_lag ec_economy_no_lag polity2 pvdem05 seqYR eyear, cluster (id) 
*logit protest_ALL protest_ALL_lag ec_living_d_lag pvdem05 seqYR eyear, cluster (id)
*logit protest_ALL protest_ALL_lag ec_economy_no_lag pvdem05 seqYR eyear, cluster (id) 

  
  


********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************


** TABLE 1, MODEL 3 **
***Polity-Election Year Interaction***
gen living_eyear_polity2 = ec_living_d_lag*eyear*polity2 
 label variable living_eyear_polity2 "Standard of Living (D)-Election Year-Polity Index"
gen eyear_polity2 = eyear*polity2
 label variable eyear_polity "Election Year-Polity Index"
gen living_eyear = ec_living_d_lag*eyear
 label variable living_eyear "Standard of Living (D)-Election Year"
gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (D)-Polity Index"
logit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2 eyear_polity2 living_eyear living_polity2, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table1", bdec(2 2 3 2 2 2 3 4) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_living_d_lag eyear polity2 living_eyear_polity2 eyear_polity2 living_eyear living_polity2
 prvalue, x(ec_living_d_lag=25 eyear=1 polity2=5 living_eyear_polity2=125 eyear_polity2=5 living_eyear=25 living_polity2=125)  
 prvalue, x(ec_living_d_lag=50 eyear=1 polity2=5 living_eyear_polity2=250 eyear_polity2=5 living_eyear=50 living_polity2=250) 
 prvalue, x(ec_living_d_lag=50 eyear=0 polity2=5 living_eyear_polity2=0   eyear_polity2=0 living_eyear=0  living_polity2=125) save 
 prvalue, x(ec_living_d_lag=50 eyear=1 polity2=5 living_eyear_polity2=250 eyear_polity2=5 living_eyear=50 living_polity2=250) diff  
 prvalue, x(ec_living_d_lag=50 eyear=1 polity2=0  living_eyear_polity2=0  eyear_polity2=0  living_eyear=50     living_polity2=0) 
 prvalue, x(ec_living_d_lag=50 eyear=0 polity2=0  living_eyear_polity2=0  eyear_polity2=0  living_eyear=0      living_polity2=0) 
 prvalue, x(ec_living_d_lag=50 eyear=1 polity2=-5 living_eyear_polity2=-250  eyear_polity2=-5 living_eyear=50  living_polity2=-250) 
 prvalue, x(ec_living_d_lag=50 eyear=0 polity2=-5 living_eyear_polity2=0     eyear_polity2=0 living_eyear=0   living_polity2=-250)
 
 
** TABLE 1, MODEL 4**  
gen economy_eyear_polity2 = ec_economy_no_lag*eyear*polity2 
  label variable economy_eyear_polity2 "Economic Conditions (P)-Election Year-Polity Index"
gen economy_eyear = ec_economy_no_lag*eyear
 label variable economy_eyear "Economic Conditions (P)-Election Year"
gen economy_polity2 = ec_economy_no_lag*polity2
  label variable economy_polity2 "Economic Conditions (P)-Polity Index"
logit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2, cluster (id) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table1", bdec(2 2 5 2 2 2 2 3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2
 prvalue, x(ec_economy_no_lag=25 eyear=1 polity2=5 economy_eyear_polity2=125 eyear_polity2=5  economy_eyear=25  economy_polity2=125)  
 prvalue, x(ec_economy_no_lag=50 eyear=1 polity2=5 economy_eyear_polity2=250 eyear_polity2=5  economy_eyear=50  economy_polity2=250) save  
 prvalue, x(ec_economy_no_lag=50 eyear=0 polity2=5 economy_eyear_polity2=0   eyear_polity2=0  economy_eyear=0   economy_polity2=125) diff 
 prvalue, x(ec_economy_no_lag=50 eyear=1 polity2=5 economy_eyear_polity2=250 eyear_polity2=5  economy_eyear=50  economy_polity2=250)   
 prvalue, x(ec_economy_no_lag=50 eyear=0 polity2=0  economy_eyear_polity2=0  eyear_polity2=0  economy_eyear=0   economy_polity2=0) 
 prvalue, x(ec_economy_no_lag=50 eyear=1 polity2=0  economy_eyear_polity2=0  eyear_polity2=0  economy_eyear=50  economy_polity2=0) 
 prvalue, x(ec_economy_no_lag=50 eyear=0 polity2=-5 economy_eyear_polity2=0  eyear_polity2=0  economy_eyear=0   economy_polity2=-250) 
 prvalue, x(ec_economy_no_lag=50 eyear=1 polity2=-5 economy_eyear_polity2=-250  eyear_polity2=-5 economy_eyear=50  economy_polity2=-250) 

 

** TABLE 1, MODEL 5 (Model 3 w/controls) **
*logit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2 eyear_polity2 living_eyear living_polity2 polity2diff demaid coup_attempt, cluster (id)  
logit protest_ALL protest_ALL_lag ec_living_d_lag living_eyear_polity2 eyear polity2 eyear_polity2 living_eyear living_polity2 polity2diff  demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id)  
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table1", bdec(2 2 3 2 2 2 3 4) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
 test ec_living_d_lag eyear living_eyear_polity2 polity2 eyear_polity2 living_eyear living_polity2

 prvalue, x(ec_living_d_lag=25 eyear=1 polity2=5 living_eyear_polity2=125 eyear_polity2=5 living_eyear=25 living_polity2=125)  
 prvalue, x(ec_living_d_lag=50 eyear=1 polity2=5 living_eyear_polity2=250 eyear_polity2=5 living_eyear=50 living_polity2=250)  save
 
 prvalue, x(ec_living_d_lag=50 eyear=0 polity2=5 living_eyear_polity2=0   eyear_polity2=0 living_eyear=0  living_polity2=125)  diff
 prvalue, x(ec_living_d_lag=50 eyear=1 polity2=5 living_eyear_polity2=250 eyear_polity2=5 living_eyear=50 living_polity2=250)   
 
 prvalue, x(ec_living_d_lag=50 eyear=1 polity2=0  living_eyear_polity2=0  eyear_polity2=0  living_eyear=50 living_polity2=0) 
 prvalue, x(ec_living_d_lag=50 eyear=1 polity2=-5 living_eyear_polity2=-250  eyear_polity2=-5 living_eyear=50  living_polity2=-250) 


** TABLE 1, MODEL 6 (Model 4 w/controls) **  

logit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2 polity2diff  demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id) 
*logit protest_ALL protest_ALL_lag ec_economy_no_lag economy_eyear_polity2 eyear polity2 eyear_polity2 economy_eyear economy_polity2 coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id)  
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table1", bdec(2 2 4 2 2 2 3 3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test ec_economy_no_lag eyear polity2 economy_eyear_polity2 eyear_polity2 economy_eyear economy_polity2

 prvalue, x(ec_economy_no_lag=25 eyear=1 polity2=5 economy_eyear_polity2=125 eyear_polity2=5 economy_eyear=25 economy_polity2=125)  
 prvalue, x(ec_economy_no_lag=50 eyear=1 polity2=5 economy_eyear_polity2=250 eyear_polity2=5 economy_eyear=50 economy_polity2=250)  save
 
 prvalue, x(ec_economy_no_lag=50 eyear=0 polity2=5 economy_eyear_polity2=0   eyear_polity2=0 economy_eyear=0  economy_polity2=125)  diff
 prvalue, x(ec_economy_no_lag=50 eyear=1 polity2=5 economy_eyear_polity2=250 eyear_polity2=5 economy_eyear=50 economy_polity2=250)   
 
 prvalue, x(ec_economy_no_lag=50 eyear=1 polity2=0  economy_eyear_polity2=0     eyear_polity2=0  economy_eyear=50  economy_polity2=0) 
 prvalue, x(ec_economy_no_lag=50 eyear=1 polity2=-5 economy_eyear_polity2=-250  eyear_polity2=-5 economy_eyear=50  economy_polity2=-250) 



*********************
*******TABLE 2*******
*********************

clear
*use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK.dta" 
use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK_March2013.dta"

********************************************************************************************************************************************************
********************************************  BASE  MODELS -- NO INTERACTIONS **************************************************************************
********************************************************************************************************************************************************

** TABLE 2, MODEL 7**
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_employ_lag wdi_GDPcapGrowth_lag polity2 eyear if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table2", bdec(2 2 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert)  
  logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag  eyear polity2, cluster (id)
  logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag eyear polity2 if country != "Zimbabwe", cluster (id)
  logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag eyear polity2, cluster (id)

*logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_employ_lag wdi_GDPcapGrowth_lag polity2 eyear polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag if country != "Zimbabwe", cluster (id)  

*IN-TEXT MODELS*  
gen lngdp_growth_lag = lnwdi_GDPcap_lag*wdi_GDPcapGrowth_lag 
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag lngdp_growth_lag wdi_infl_lag wdi_employ_lag polity2 eyear if country != "Zimbabwe", cluster (id)
test lngdp_growth_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag  
 *prvalue, x(lngdp_growth_lag=7.75 lnwdi_GDPcap_lag=7.75 wdi_GDPcapGrowth_lag=1)
 *prvalue, x(lngdp_growth_lag=9.0  lnwdi_GDPcap_lag=9.0 wdi_GDPcapGrowth_lag=1)  
 *7.75 is the mean; 9.0 is were 25% of the cases fall above
  
gen lngdp_infl_lag = wdi_infl_lag*lnwdi_GDPcap_lag 
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag lngdp_infl_lag wdi_infl_lag wdi_employ_lag polity2 eyear if country != "Zimbabwe", cluster (id)
test  lngdp_infl_lag lnwdi_GDPcap_lag wdi_infl_lag 
 *prvalue, x(lngdp_infl_lag=77.5 lnwdi_GDPcap_lag=7.75 wdi_infl_lag=10)
 *prvalue, x(lngdp_infl_lag=90.0 lnwdi_GDPcap_lag=9.00 wdi_infl_lag=10) 
  
gen lngdp_employ_lag = wdi_employ_lag*lnwdi_GDPcap_lag 
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag lngdp_employ_lag  wdi_infl_lag wdi_employ_lag polity2 eyear if country != "Zimbabwe", cluster (id)
test lngdp_employ_lag wdi_employ_lag lnwdi_GDPcap_lag
 *prvalue, x(lngdp_employ_lag=387.5 lnwdi_GDPcap_lag=7.75 wdi_employ_lag=50)
 *prvalue, x(lngdp_employ_lag=450.0  lnwdi_GDPcap_lag=9.0  wdi_employ_lag=50) 
 

********************************************************************************************************************************************************
********************************************  ELECTION YEAR - POLITY INTERACTIONS **********************************************************************
********************************************************************************************************************************************************
  
  
** TABLE 2, MODEL 8 ** 
gen infl_eyear_polity2 = wdi_infl_lag*eyear*polity2 
 label variable infl_eyear_polity2 "Inflation-Election Year-Polity Index"
gen eyear_polity2 = eyear*polity2
  label variable eyear_polity "Election Year-Polity Index"
gen infl_eyear = wdi_infl_lag*eyear
 label variable infl_eyear "Inflation-Election Year"
gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index"
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag infl_eyear_polity2 eyear polity2 eyear_polity2 infl_eyear infl_polity2 if country != "Zimbabwe", cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table2", bdec(2 2 2 3 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_infl_lag eyear infl_eyear_polity2 polity2 eyear_polity2 infl_eyear infl_polity2 
 prvalue, x(wdi_infl_lag=25   infl_eyear_polity2=125  eyear=1  polity2=5  eyear_polity2=5 infl_eyear=25 infl_polity2=125) 
 prvalue, x(wdi_infl_lag=10   infl_eyear_polity2=50   eyear=1  polity2=5  eyear_polity2=5 infl_eyear=10 infl_polity2=50) save
 prvalue, x(wdi_infl_lag=10   infl_eyear_polity2=0    eyear=0  polity2=5  eyear_polity2=0 infl_eyear=0  infl_polity2=50) diff
 prvalue, x(wdi_infl_lag=10   infl_eyear_polity2=0    eyear=1  polity2=0  eyear_polity2=0 infl_eyear=10 infl_polity2=0)
 prvalue, x(wdi_infl_lag=10   infl_eyear_polity2=0    eyear=0  polity2=0  eyear_polity2=0 infl_eyear=0  infl_polity2=0) 
 prvalue, x(wdi_infl_lag=10   infl_eyear_polity2=0    eyear=0  polity2=-5 eyear_polity2=0 infl_eyear=0  infl_polity2=-50)
 

** TABLE 2, IN-TEXT MODELS (model 8, w/controls) **
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag infl_eyear_polity2 eyear polity2 eyear_polity2 infl_eyear infl_polity2  polity2diff demaid coup_attempt if country != "Zimbabwe", cluster (id)  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_infl_lag infl_eyear_polity2 eyear polity2 eyear_polity2 infl_eyear infl_polity2  polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag if country != "Zimbabwe", cluster (id)  
test wdi_infl_lag eyear infl_eyear_polity2 polity2 eyear_polity2 infl_eyear infl_polity2 
 prvalue, x(wdi_infl_lag=25   infl_eyear_polity2=125  eyear=1  polity2=5  eyear_polity2=5 infl_eyear=25 infl_polity2=125) 
 prvalue, x(wdi_infl_lag=10   infl_eyear_polity2=50   eyear=1  polity2=5  eyear_polity2=5 infl_eyear=10 infl_polity2=50) save
 prvalue, x(wdi_infl_lag=10   infl_eyear_polity2=0    eyear=0  polity2=5  eyear_polity2=0 infl_eyear=0  infl_polity2=50) diff
 prvalue, x(wdi_infl_lag=10   infl_eyear_polity2=0    eyear=1  polity2=0  eyear_polity2=0 infl_eyear=10 infl_polity2=0)
 prvalue, x(wdi_infl_lag=10   infl_eyear_polity2=0    eyear=0  polity2=0  eyear_polity2=0 infl_eyear=0  infl_polity2=0) 
 prvalue, x(wdi_infl_lag=10   infl_eyear_polity2=0    eyear=0  polity2=-5 eyear_polity2=0 infl_eyear=0  infl_polity2=-50)
 



** TABLE 2, MODEL 9** 
gen employ_eyear_polity2 = wdi_employ_lag*eyear*polity2 
  label variable employ_eyear_polity2 "Employment-Election Year-Polity Index"
gen employ_eyear = wdi_employ_lag*eyear
 label variable employ_eyear "Employment-Election Year"
gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag employ_eyear_polity2 eyear polity2 eyear_polity2 employ_eyear employ_polity2, cluster (id) 
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table2", bdec(2 2 2 3 2 2 2 3 3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_employ_lag eyear employ_eyear_polity2 polity2 eyear_polity2 employ_eyear employ_polity2
 prvalue, x(wdi_employ_lag=100   employ_eyear_polity2=500  eyear=1  polity2=5  eyear_polity2=5 employ_eyear=100 employ_polity2=500) 
 prvalue, x(wdi_employ_lag=50    employ_eyear_polity2=250  eyear=1  polity2=5  eyear_polity2=5 employ_eyear=50  employ_polity2=250) save
 prvalue, x(wdi_employ_lag=50    employ_eyear_polity2=0    eyear=0  polity2=5  eyear_polity2=0 employ_eyear=0   employ_polity2=250) diff
 prvalue, x(wdi_employ_lag=50    employ_eyear_polity2=0    eyear=1  polity2=0  eyear_polity2=0 employ_eyear=50  employ_polity2=0) 
 prvalue, x(wdi_employ_lag=50    employ_eyear_polity2=0    eyear=0  polity2=0  eyear_polity2=0 employ_eyear=0   employ_polity2=0) 
 prvalue, x(wdi_employ_lag=50    employ_eyear_polity2=0    eyear=0  polity2=-5 eyear_polity2=0 employ_eyear=0   employ_polity2=-250)
 *lower for democracies, higher for authoritarian states. 
  
  
** TABLE 2, IN-TEXT MODELS (model 9, w/controls)**
*logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag employ_eyear_polity2 eyear polity2 eyear_polity2 employ_eyear employ_polity2 demaid coup_attempt, cluster (id)  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_employ_lag employ_eyear_polity2 eyear polity2 eyear_polity2 employ_eyear employ_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id)  
test wdi_employ_lag eyear employ_eyear_polity2 polity2 eyear_polity2 employ_eyear employ_polity2
 prvalue, x(wdi_employ_lag=100   employ_eyear_polity2=500  eyear=1  polity2=5  eyear_polity2=5 employ_eyear=100 employ_polity2=500) 
 prvalue, x(wdi_employ_lag=50    employ_eyear_polity2=250  eyear=1  polity2=5  eyear_polity2=5 employ_eyear=50  employ_polity2=250) save
 prvalue, x(wdi_employ_lag=50    employ_eyear_polity2=0    eyear=0  polity2=5  eyear_polity2=0 employ_eyear=0   employ_polity2=250) diff
 prvalue, x(wdi_employ_lag=50    employ_eyear_polity2=0    eyear=1  polity2=0  eyear_polity2=0 employ_eyear=50  employ_polity2=0) 
 prvalue, x(wdi_employ_lag=50    employ_eyear_polity2=0    eyear=0  polity2=0  eyear_polity2=0 employ_eyear=0   employ_polity2=0) 
 prvalue, x(wdi_employ_lag=50    employ_eyear_polity2=0    eyear=0  polity2=-5 eyear_polity2=0 employ_eyear=0   employ_polity2=-250)

 

** TABLE 2, MODEL 10 ** 
gen growth_eyear_polity2 = wdi_GDPcapGrowth_lag*eyear*polity2 
  label variable growth_eyear_polity2 "Growth-Election Year-Polity Index"
gen growth_eyear = wdi_GDPcapGrowth_lag*eyear
 label variable growth_eyear "Growth-Election Year"
gen growth_polity2 = wdi_GDPcapGrowth_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear_polity2 eyear polity2 eyear_polity2 growth_eyear growth_polity2, cluster (id)     
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table2", bdec(2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
test wdi_GDPcapGrowth_lag eyear growth_eyear_polity2 polity2 eyear_polity2 growth_eyear growth_polity2
 prvalue, x(wdi_GDPcapGrowth_lag=10 growth_eyear_polity2=0 eyear=1 polity2=0  eyear_polity2=0  growth_eyear=10  growth_polity2=0)
 **OLD**
 prvalue, x(wdi_GDPcapGrowth_lag=1  growth_eyear_polity2=5 eyear=1 polity2=5  eyear_polity2=5  growth_eyear=1   growth_polity2=5) save
 prvalue, x(wdi_GDPcapGrowth_lag=1  growth_eyear_polity2=0 eyear=0 polity2=5  eyear_polity2=0  growth_eyear=0   growth_polity2=5) diff
 prvalue, x(wdi_GDPcapGrowth_lag=1  growth_eyear_polity2=0 eyear=1 polity2=0  eyear_polity2=0  growth_eyear=1   growth_polity2=0) save
 prvalue, x(wdi_GDPcapGrowth_lag=1  growth_eyear_polity2=0 eyear=0 polity2=0  eyear_polity2=0  growth_eyear=1   growth_polity2=0) diff
 prvalue, x(wdi_GDPcapGrowth_lag=1  growth_eyear_polity2=0 eyear=0 polity2=-5 eyear_polity2=0  growth_eyear=0   growth_polity2=-5)

 **NEW
 prvalue, x(wdi_GDPcapGrowth_lag=2  growth_eyear_polity2=10 eyear=1 polity2=5  eyear_polity2=5 growth_eyear=2   growth_polity2=10) save
 prvalue, x(wdi_GDPcapGrowth_lag=2  growth_eyear_polity2=0 eyear=0 polity2=5  eyear_polity2=0  growth_eyear=0   growth_polity2=10) diff
 prvalue, x(wdi_GDPcapGrowth_lag=2  growth_eyear_polity2=0 eyear=1 polity2=0  eyear_polity2=0  growth_eyear=2   growth_polity2=0) save
 prvalue, x(wdi_GDPcapGrowth_lag=2  growth_eyear_polity2=0 eyear=0 polity2=0  eyear_polity2=0  growth_eyear=2   growth_polity2=0) diff
 prvalue, x(wdi_GDPcapGrowth_lag=2  growth_eyear_polity2=0 eyear=0 polity2=-5 eyear_polity2=0  growth_eyear=0   growth_polity2=-10)
 
 *lower for democracies, higher for authoritarian states. 
 
 
** TABLE 2, IN-TEXT MODELS (model 10, w/controls) **
*logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear_polity2 eyear polity2 eyear_polity2 growth_eyear growth_polity2 polity2diff demaid coup_attempt, cluster (id)  
logit protest_ALL protest_ALL_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear_polity2 eyear polity2 eyear_polity2 growth_eyear growth_polity2 polity2diff demaid coup_attempt cv_internet_y_lag cv_cell_y_lag, cluster (id)   
 test wdi_GDPcapGrowth_lag eyear growth_eyear_polity2 polity2 eyear_polity2 growth_eyear growth_polity2
 prvalue, x(wdi_GDPcapGrowth_lag=10 growth_eyear_polity2=0 eyear=1 polity2=0  eyear_polity2=0  growth_eyear=10  growth_polity2=0)
 prvalue, x(wdi_GDPcapGrowth_lag=1  growth_eyear_polity2=5 eyear=1 polity2=5  eyear_polity2=5  growth_eyear=1   growth_polity2=5) save
 prvalue, x(wdi_GDPcapGrowth_lag=1  growth_eyear_polity2=0 eyear=0 polity2=5  eyear_polity2=0  growth_eyear=0   growth_polity2=5) diff
 prvalue, x(wdi_GDPcapGrowth_lag=1  growth_eyear_polity2=0 eyear=1 polity2=0  eyear_polity2=0  growth_eyear=1   growth_polity2=0) save
 prvalue, x(wdi_GDPcapGrowth_lag=1  growth_eyear_polity2=0 eyear=0 polity2=0  eyear_polity2=0  growth_eyear=1   growth_polity2=0) diff
 prvalue, x(wdi_GDPcapGrowth_lag=1  growth_eyear_polity2=0 eyear=0 polity2=-5 eyear_polity2=0  growth_eyear=0   growth_polity2=-5)







********************************************************************************************************************************************************
*************************************************  INCUMBENT LOSS - INTERACTIONS *********************************************************************
********************************************************************************************************************************************************
clear
*use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK.dta" 
use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK_March2013.dta"


** TABLE 3, MODEL 11 ** 
gen living_iloss_polity2 = ec_living_d_lag*iloss*polity2 
  label variable living_iloss_polity2 "Standard of Living (D)-Incumbent Loss-Polity Index"
gen iloss_polity2 = iloss*polity2 
  label variable iloss_polity2 "Incumbent Loss-Polity Index"  
gen living_iloss = ec_living_d_lag*iloss
  label variable living_iloss "Standard of Living (D)-Incumbent Loss"
gen living_polity2 = ec_living_d_lag*polity2
  label variable living_polity2 "Standard of Living (D)-Polity Index"
logit protest_ALL protest_ALL_lag ec_living_d_lag iloss polity2 living_iloss_polity2 iloss_polity2 living_iloss living_polity2, cluster (id)
*logit protest_ALL protest_ALL_lag ec_living_d_lag living_iloss_polity2 iloss polity2 iloss_polity2 living_iloss living_polity2 polity2diff demaid cv_internet_y_lag cv_cell_y_lag, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table3", bdec(2 2 2 2 2 2 2 3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se replace label(insert) 
 test living_iloss_polity2 ec_living_d_lag iloss polity2 iloss_polity2 living_iloss living_polity2
 prvalue, x(living_iloss_polity2=165   ec_living_d_lag=33 iloss=1 polity2=5 iloss_polity2=5   living_iloss=33  living_polity2=165) 
 prvalue, x(living_iloss_polity2=330   ec_living_d_lag=66 iloss=1 polity2=5 iloss_polity2=5   living_iloss=66  living_polity2=330) 
 prvalue, x(living_iloss_polity2=0   ec_living_d_lag=33 iloss=0 polity2=5 iloss_polity2=0   living_iloss=0  living_polity2=165) save
 prvalue, x(living_iloss_polity2=0   ec_living_d_lag=66 iloss=0 polity2=5 iloss_polity2=0   living_iloss=0  living_polity2=330) diff
 
 
** TABLE 3, MODEL XX **[OMITTED FROM TABLE BECAUSE N TOO SMALL]
gen economy_iloss_polity2 = ec_economy_no_lag*iloss*polity2
 label variable economy_iloss_polity2 "Economic Conditions (P)-Incumbent Loss-Polity Index"
gen economy_iloss = ec_economy_no_lag*iloss
  label variable economy_iloss "Economic Conditions (P)-Incumbent Loss"
gen economy_polity2 = ec_economy_no_lag*polity2
  label variable economy_polity2 "Economic Conditions (P)-Polity Index" 
logit protest_ALL protest_ALL_lag ec_economy_no_lag economy_iloss_polity2 iloss polity2 iloss_polity2 economy_iloss economy_polity2, cluster (id)
*outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 

** TABLE 3, MODEL 12 ** 
gen infl_iloss_polity2 = wdi_infl_lag*iloss*polity2 
 label variable infl_iloss_polity2 "Inflation-Incumbent Loss-Polity Index"
gen infl_iloss = wdi_infl_lag*iloss
  label variable infl_iloss "Inflation-Incumbent Loss"
gen infl_polity2 = wdi_infl_lag*polity2
  label variable infl_polity2 "Inflation-Polity Index" 
logit protest_ALL protest_ALL_lag wdi_infl_lag iloss polity2 infl_iloss_polity2 iloss_polity2  infl_iloss infl_polity2  if country != "Zimbabwe", cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table3", bdec(2 2 2 2 2 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
*logit protest_ALL protest_ALL_lag wdi_infl_lag infl_iloss_polity2 iloss polity2 iloss_polity2 infl_iloss infl_polity2 polity2diff demaid cv_internet_y_lag cv_cell_y_lag if country != "Zimbabwe", cluster (id)
 test infl_iloss_polity2 wdi_infl_lag iloss polity2 iloss_polity2 iloss_polity2 infl_polity2 infl_iloss
  prvalue, x(infl_iloss_polity2=0  wdi_infl_lag=1   iloss=0  polity2=5 iloss_polity2=0   infl_iloss=0 infl_polity2=5) 
  prvalue, x(infl_iloss_polity2=0  wdi_infl_lag=10  iloss=0  polity2=5 iloss_polity2=0   infl_iloss=0  infl_polity2=50) 
  prvalue, x(infl_iloss_polity2=5   wdi_infl_lag=1   iloss=1  polity2=5 iloss_polity2=5   infl_iloss=1   infl_polity2=5) 
  prvalue, x(infl_iloss_polity2=50  wdi_infl_lag=10  iloss=1  polity2=5 iloss_polity2=50  infl_iloss=10  infl_polity2=50)

** TABLE 3, MODEL 13 ** [significant at .06 level, and higher with controls and significant if fixed effects for years added]
gen employ_iloss_polity2 = wdi_employ_lag*iloss*polity2 
 label variable employ_iloss_polity2 "Employment-Incumbent Loss-Polity Index"
gen employ_iloss = wdi_employ_lag*iloss
  label variable employ_iloss "Employment-Incumbent Loss"
gen employ_polity2 = wdi_employ_lag*polity2
  label variable employ_polity2 "Employment-Polity Index"
logit protest_ALL protest_ALL_lag wdi_employ_lag  iloss polity2 employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2, cluster (id)
test wdi_employ_lag iloss polity2  employ_iloss_polity2 iloss_polity2 employ_iloss employ_polity2
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table3", bdec(2 2 2 2 2 2 2 3) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
*logit protest_ALL protest_ALL_lag wdi_employ_lag employ_iloss_polity2 iloss polity2 iloss_polity2 employ_iloss employ_polity2 polity2diff demaid cv_internet_y_lag cv_cell_y_lag, cluster (id)
 

** TABLE 3, MODEL 14 ** 
gen growth_iloss_polity2 = wdi_GDPcapGrowth_lag*iloss*polity2 
 label variable growth_iloss_polity2 "Growth-Incumbent Loss-Polity Index"
gen growth_iloss = wdi_GDPcapGrowth_lag*iloss
  label variable growth_iloss "Growth-Incumbent Loss"
gen growth_polity2 = wdi_GDPcapGrowth_lag*polity2
  label variable growth_polity2 "Growth-Polity Index"
logit protest_ALL protest_ALL_lag growth_iloss_polity2 iloss polity2 wdi_GDPcapGrowth_lag iloss_polity2 growth_iloss growth_polity2, cluster (id)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/OutregFiles/Table3", bdec(2 2 3 2 2 2) addstat(Log Likelihood, e(ll)) adec(2) 2aster se append label(insert) 
*logit protest_ALL protest_ALL_lag wdi_GDPcapGrowth iloss polity2 iloss_polity2 growth_iloss_polity2 growth_iloss growth_polity2 polity2diff demaid cv_internet_y_lag cv_cell_y_lag, cluster (id)
 test wdi_GDPcapGrowth iloss polity2 growth_iloss_polity2 iloss_polity2 growth_iloss growth_polity2 
 prvalue, x(wdi_GDPcapGrowth_lag=1 polity2=2 growth_iloss_polity2=0 iloss=0 iloss_polity2=0 growth_iloss=0  growth_polity2=2)
 prvalue, x(wdi_GDPcapGrowth_lag=10 polity2=2 growth_iloss_polity2=0 iloss=0 iloss_polity2=0 growth_iloss=0  growth_polity2=20)
 prvalue, x(wdi_GDPcapGrowth_lag=1 polity2=-2 growth_iloss_polity2=0 iloss=0 iloss_polity2=0 growth_iloss=0  growth_polity2=-2)
 prvalue, x(wdi_GDPcapGrowth_lag=10 polity2=-2 growth_iloss_polity2=0 iloss=0 iloss_polity2=0 growth_iloss=0  growth_polity2=-20)




******************************************************************************************************************************************************
******************************************************************************************************************************************************
******************************************************************************************************************************************************
******************************************************************************************************************************************************

